declare function useControlledState<T>(option: {
    defaultValue?: T | (() => T);
    value?: T;
    onChange?: (value: T, prevValue: T) => void;
    beforeValue?: (value: T, prevValue: T) => T | undefined;
    postValue?: (value: T | undefined, prevValue: T) => T | undefined;
}): [T, (value: T | ((prevState: T) => T)) => void, T];

export { useControlledState as default };
